#ifndef JCC71Digitizer_h
#define JCC71Digitizer_h 1


#include "G4DigiManager.hh"

#include "JCC71Hits.hh"
#include "JCC71Digis.hh"

#include "G4VDigitizerModule.hh"



class JCC71Digitizer : public G4VDigitizerModule

{

public:

	JCC71Digitizer(G4String name);
	~JCC71Digitizer();

	void Digitize();

private:

	G4String collectName;

	JCC71Digis* Digis;
	JCC71DigisCollection* DigitsCollection;
	G4DigiManager* DigiMan;
	
	G4int HCID;
	G4int n_hit;

};
#endif
