#ifndef JCC71EventAction_h
#define JCC71EventAction_h 1

#include "JCC71Analysis.hh"

#include "JCC71Digitizer.hh"

#include "G4UserEventAction.hh"

#include "JCC71Hits.hh"
#include "JCC71Digis.hh"

#include "G4HCofThisEvent.hh"
#include "G4VHitsCollection.hh"

#include "G4DigiManager.hh"
#include "G4SDManager.hh"
#include "G4VDigitizerModule.hh"

#include "G4Event.hh"
#include "globals.hh"





class JCC71EventAction : public G4UserEventAction

{

public:

	JCC71EventAction();
	virtual ~JCC71EventAction(); 

	virtual void BeginOfEventAction(const G4Event*);
	virtual void EndOfEventAction(const G4Event*);



private:

	JCC71Analysis* analysis;
	JCC71Digitizer* JCC71Digi;
	G4int DCID;
};

#endif
